package ro.pub.cs.pp.a51hadoop.common;

import ro.pub.cs.pp.a51hadoop.config.Config;
import java.io.IOException;
import java.util.*;

import org.apache.hadoop.fs.Path;
import org.apache.hadoop.conf.*;
import org.apache.hadoop.io.*;
import org.apache.hadoop.mapred.*;
import org.apache.hadoop.util.*;

public class TextArrayWritable extends ArrayWritable
{
	public TextArrayWritable() 
	{ 
		super(Text.class);
	}

        public TextArrayWritable(String[] s)
        {
                super(s);
        }

        public String toString()
        {
                Writable[] w = get();
                StringBuffer buffer = new StringBuffer();
                String space = " ";

                for(int i = 0; i< w.length; i++)
                {
                        buffer.append(w[i].toString());
                        buffer.append(space);
                }
                return buffer.toString();
        }
}
